services:
    d2_bbtransport_service_definition_manager:
        class:          D2\BBTransportBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_bbtransport_partner_file_manager:
        class:          D2\BBTransportBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_bbtransport_waybill_manager:
        class:          D2\BBTransportBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_bbtransport_service_definition_manager, @d2_calc_manager]

    d2_bbtransport_bundle.twig.bbtransport_extension:
        class:          D2\BBTransportBundle\Twig\BBTransportTwigExtension
        arguments:      [@doctrine, @service_container, @d2_bbtransport_partner_file_manager, @d2_bbtransport_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_bbtransport_bundle.waybill_with_selected.extension:
        class:          D2\BBTransportBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: bbtransport_list }
            - { name: d2.with_selected, alias: bbtransport_waybill }
